Application users
User details by external ID
Retrieves the specified user by its external ID
Available Include parameters
| Parameter | Description |
|---|---|
| servers | List of servers the user has access to |
GET
/api/application/users/external/{external_id}Authorization
ApplicationToken AuthorizationBearer <token>
Application API key (generated at /admin/api)
In: header
Path Parameters
external_id*string
External identifier
Response Body
application/json
curl -X GET "https://example.com/api/application/users/external/RemoteId1"{ "object": "user", "attributes": { "id": 1, "external_id": "RemoteId1", "uuid": "4de5a357-ed95-426b-aec1-8c328cfe9751", "username": "admin", "email": "[email protected]", "first_name": "Admin", "last_name": "User", "language": "en", "root_admin": true, "2fa": false, "created_at": "2019-12-22T04:43:29+00:00", "updated_at": "2020-07-13T13:10:23+00:00" }}